Xafari.Security.DC.DCSecurity' is obsolete:

StatusIDPriorityType
Closed23032BlockerQuestion
ProfileReply
Lars PlatzdaschClient

We try to use XafSecurity like documentation:
https://galaktikasoft.com/documentation/xafari/index.html?hierarchy_node_list_editor_start_here.html

but we get this error

Error 21 'Xafari.Security.DC.DCSecurity' is obsolete: 'Do not use.'

Replies

UserDescriptionPosted On
Lars Platzdasch

Sorry, link was wrong.

here is the doc link that we use:
https://galaktikasoft.com/documentation/xafari/

we like to use the DC Version.

NikolayAgent

Hello Lars,

I am sorry, but I cannot clearly understand what the problem is.
Could you please provide more details so we can find a solution. Thank you for your patience.

Nikolay.

Lars Platzdasch

First i like to use Xafari.Security.dll.

I try to follow your docs. in part of / XAF Security, Authentication Technology, step by step.
After a first start of a all ready used App , we use Complex Security Strategy with Windows Auth,

i change all things to use a DC component for department i get first a error: ‘Xafari.Security.DC.DCSecurity’ is obsolete: ‘Do not use.’

i follow your doc: in this point here:

public override void Setup(XafApplication application)
{
base.Setup(application);


DCSecurity.RegisterSecurity();
DCSecurity.RegisterDCSecuritySystemRole();
DCSecurity.RegisterDCSecuritySystemUser();
//or
//DCSecurity.RegisterSecurity()
//DCSecurity.Register()

}

NikolayAgent

Hello Lars,

I apologize for the delayed answer.
For use Xafari security you need to add modules XafariSecurityModule and XafariSecurityDCModule in your module. In the Xafari x07 security modules were refactored, so now there is no need to modify Setup() method of your module. All needed now is done in method Setup() of the XafariSecurityDCModule.

Please let me know whether it helps.

Nikolay.

× This ticket is closed.

Write US